# Interface methods for submodule: SmoothingQuadEdgeMeshFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import QuadEdgeMeshToQuadEdgeMeshFilterProxy as _QuadEdgeMeshToQuadEdgeMeshFilterProxy


# Interface methods for class: SmoothingQuadEdgeMeshFilter
class SmoothingQuadEdgeMeshFilterProxy(_QuadEdgeMeshToQuadEdgeMeshFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetCoefficientsMethod(self, iMethod) -> None:
		""""""
		...

	def SetNumberOfIterations(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfIterations(self) -> int:
		""""""
		...

	def DelaunayConformingOn(self) -> None:
		""""""
		...

	def DelaunayConformingOff(self) -> None:
		""""""
		...

	def SetDelaunayConforming(self, _arg: bool) -> None:
		""""""
		...

	def GetDelaunayConforming(self) -> bool:
		""""""
		...

	def SetRelaxationFactor(self, _arg: float) -> None:
		""""""
		...

	def GetRelaxationFactor(self) -> float:
		""""""
		...

